package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.io.Serializable;
import java.util.List;

/**
 * @author hongzq
 */
public class AddSupplierOrderReq implements Serializable {

    private String id;

    @NotBlank(message = "入库仓库不能为空")
    private String inWarehouseId;

    @NotBlank(message = "出库仓库不能为空")
    private String outWarehouseId;

    private String applyOrderId;

    private String remarks;

    @Valid
    @NotEmpty(message = "备件不能为空")
    private List<AddSupplierOrderDetailReq> details;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInWarehouseId() {
        return inWarehouseId;
    }

    public void setInWarehouseId(String inWarehouseId) {
        this.inWarehouseId = inWarehouseId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public List<AddSupplierOrderDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<AddSupplierOrderDetailReq> details) {
        this.details = details;
    }

    public String getOutWarehouseId() {
        return outWarehouseId;
    }

    public void setOutWarehouseId(String outWarehouseId) {
        this.outWarehouseId = outWarehouseId;
    }

    public String getApplyOrderId() {
        return applyOrderId;
    }

    public void setApplyOrderId(String applyOrderId) {
        this.applyOrderId = applyOrderId;
    }
}
